%define	upstream_name	 Carp-Clan
%define	upstream_version 6.04

%define TEST	1
%{?_with_test: %{expand: %%global TEST 1}}
%{?_without_test: %{expand: %%global TEST 0}}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary: 	%{upstream_name} module for perl
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:  perl(Test::Exception)

BuildArch:	noarch

# Do not export private DB module stub
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DB\\)

%description
%{upstream_name} module for perl.
This module reports errors from the perspective of the caller of a
"clan" of modules, similar to "Carp.pm" itself. But instead of giving
it a number of levels to skip on the calling stack, you give it a
pattern to characterize the package names of the "clan" of modules
which shall never be blamed for any error.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%if %{TEST}
LANG=C %make test
%endif

%install
%makeinstall_std

%files
%defattr(644,root,root,755)
%{_mandir}/*/*
%{perl_vendorlib}/Carp


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 6.40.0-9.mga6
+ Revision: 1022838
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 6.40.0-8.mga6
+ Revision: 938628
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.40.0-7.mga5
+ Revision: 749009
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 6.40.0-6.mga5
+ Revision: 732854
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 6.40.0-5.mga5
+ Revision: 683745
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.40.0-4.mga4
+ Revision: 509657
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.40.0-3.mga3
+ Revision: 363807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 6.40.0-2.mga1
+ Revision: 22043
- cleaning spec file
- imported package perl-Carp-Clan

